It is better than The Theory of Gearing.

The digital models were created on STEPANLUNIN.COM software with geometrical accuracy of 0.0001 mm.
Spiral bevel gear. Back.Spiral bevel gear. Left.
Spiral bevel gear. Top.Spiral bevel gear

The new method of gear design and analyses oveperforms the existed theory of gearing and provids a better solution for any possible gear designs. StepanLunin.com is the only place where one can find information about a new advanced method of computerized simulation of gear drives.

Anlike the Theory of Gearing the StepanLunin.com (SL) method of computerized simulation is more engineering. SL method is based on a direct simulation of material cutting or forming and used boolen operations for developing of an accurate geometry of the gear surfaces.

The new method works for any kind of gears and it is extremely simple. By playing with 3D gear simulation programs you can create anything. The visible representation is perfect. It helps to understand the geometry and allows to discover new possible options. The author developes Windows based applications for different gear drives using Visual Basic and OpenGL. But for the begginers it would be the best way to start working with programming standard CAD products such as AutoCAD or Unigraphics. The standard CAD programs run slow but it is the perfect educational tooth. The author often uses the CAD tools for verification and debugging of VB programs.

The animations below give an axample if CAD simulation for tooth forming. 

Example of problem: Calculated the geometry of a base rack that would generate a sqare spline.

Solution from StepanLunin.com: An avarage engineer or even a housekeeper would immediately think about so called reverce enginnering method. That Would be a righ thinking even the housekeeper does not know what the reverce enginnering means. Anlike a scientist, an enginner and a housekeeper would propose to take a square spline and roll it over a rack. A scientific solution would be something like "finding an envelope of the surfaces" and may be give a correct resut if no problems with "singularities". The animated GIF image below represents an ingeneering solution for the problem. The spline rolles over and cuts out the portiond of the rack. The accuracy depends on the incriment of the rotation.

 

 

Below is the AutoLISP program that can be used in AutoCAD.

(defun W ()

(setq g (entsel "select the cutting tool"))

(setq w (entsel "select the blank to cut"))

;Data entries

(setq fr nil)

(setq fr (getreal "The ratio (162.8 mm/ropation):"))

(if (= fr nil) (setq fr 162.8))

;;;step of rotation

(setq dfi nil)

(setq dfi (getreal "\n Step of rotation (degrees) <1.0>:"))

(if (= dfi nil) (setq dfi 1.0))

(setq dfi (/ ( * dfi PI) 180.0))

(setq fi 0.0)

(setq sinf (sin dfi))

(setq cosf (cos dfi))

; step of movement of the cutting tool

(setq dl (* dfi (/ fr 2.0 PI)))

(while (<= fi (* 2.0 PI))

;rotate the worm

(setq fi (+ fi dfi))

(command "rotate" g "" (list 0.0 0.0) (list cosf sinf))

;move the rack

(command "move" w "" (list (- 0.0 dl) 0.0 0.0) (list 0.0 0.0 0.0))

(command "copy" g "" (list 0.0 0.0 0.0) (list 0.0 0.0 0.0))

(setq g1 (entlast))

(command "subtract" w "" g1 "")

)

)

Now we have a tool that should generate a square spline. But how do we know that the calculation was correct? Would the rack generate a square spline on a cylinder? StepanLunin.com has an engineering solution for this problem. The new method allows to run the cutting in both directions: generate rack from the egar or generate gear from the rack. Below is the reverce cutting animation. The rack shped in the example above generates a spline on a cylinger.

AutoLISP program for cutting spline on cylinder:

(defun W ()

(setq g (entsel "select the shaft"))

(setq w (entsel "select the rack"))

(setq fr nil)

(setq fr (getreal "The ratio (162.8 mm/ropation):"))

(if (= fr nil) (setq fr 162.8))

;;;step of rotation

(setq dfi nil)

(setq dfi (getreal "\n Step of rotation (degrees) <1.0>:"))

(if (= dfi nil) (setq dfi 1.0))

(setq dfi (/ ( * dfi PI) 180.0))

(setq fi 0.0)

(setq sinf (sin dfi))

(setq cosf (cos dfi))

; step of movement of the cutting tool

(setq dl (* dfi (/ fr 2.0 PI)))

(while (<= fi (* 2.0 PI))

;rotate the worm

(setq fi (+ fi dfi))

(command "rotate" g "" (list 0.0 0.0) (list cosf sinf))

;move the rack

(command "move" w "" (list (- 0.0 dl) 0.0 0.0) (list 0.0 0.0 0.0))

(command "copy" w "" (list 0.0 0.0 0.0) (list 0.0 0.0 0.0))

(setq g1 (entlast))

(command "subtract" g "" g1 "")

)

)

This sample shows the simplicity and low cost of the proposed method. StepanLunin.com presents other gears that are more comples than the spline. However all the presented gears were calculated similar to the example above.

Click here for our contact information